
QGIS Application - Bug report #3744

Different behavior for mapcanvas and layout with scale dependent rendering

2011-04-15 07:26 AM - Maxim Dubinin

Status: Closed

Priority: Low

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 13803

Description

1. Add attached layer

2. Change projection to EPSG:3395

3. Set scale dependent rendering to 0-2000000 (2mln)

4. Enter 2000000 in the scale area, note the layer disappear.

5. Enter 1999999 in the scale area, note the layer appears again.

6. Create new print composer and add map from canvas.

7. Switch to item tab of the composer and enter 2000000 into Map\\Scale. Note the layer does not dissappear.

History

#1 - 2011-04-15 08:37 AM - Maxim Dubinin

The bug is definitely with the map canvas and not print composer.

Easier procedure to replicate:

Do 1-2-3 as higher, then:

1. Enter 1999999 in the scale area, note the layer appears

2. Enter 2000000 in the scale area, note the layer disappears -> correct

3. Enter 2000001 in the scale area, note the layer still disappears -> correct

4. Enter 2000000 in the scale area, note the layer appears -> incorrect

#2 - 2011-12-09 08:54 AM - Paolo Cavallini

- Category changed from Build/Install to 33

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

#3 - 2011-12-16 12:45 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-16 06:27 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#5 - 2012-09-04 12:00 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2014-04-06 06:03 AM - Jürgen Fischer

- Category changed from 33 to Map Composer/Printing

#7 - 2014-06-22 12:30 AM - Nyall Dawson

- Category changed from Map Composer/Printing to Map Canvas

#8 - 2014-06-28 07:38 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#9 - 2015-11-20 08:05 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- Operating System deleted (Windows)

- % Done changed from 0 to 100

Hello, bug triage...

in QGIS 2.13, at 2000000 it disappears, at 20000001 it is still disappeared but going back to 2000000 don't show anything in canvas.

So, I am closing this bug.
